Skip to main content
POST
/
tool
Python
from superu import SuperU

client = SuperU("YOUR_SUPERU_API_KEY")

payload = {
    "name": "Tool 1",
    "type": "apiRequest",
    "url": "https://www.google.com",
    "description": "hehe",
    "method": "GET",
    "body": {
        "type": "object",
        "properties": {
            "new": {
                "type": "string",
                "description": "2"
            }
        }
    },
    "headers": {
        "type": "object",
        "properties": {
            "new": {
                "type": "string",
                "description": "2"
            }
        }
    },
    "timeoutSeconds": 20
}

response = client.tools.create(**payload)
print(response)
{
  "tool_uuid": "0a425650-60ac-4fd4-9554-5579844ce3e5",
  "user_id": "user_32UrXxvrVxWSYp1dGLsPdElDtRt",
  "type": "apiRequest",
  "createdAt": "2026-05-05T06:20:17.548305",
  "updatedAt": "2026-05-05T06:20:17.548307",
  "method": "GET",
  "url": "https://www.google.com",
  "name": "Tool 1",
  "description": "hehe",
  "timeoutSeconds": 20,
  "body": "{...}",
  "headers": "{...}",
  "messages": [],
  "backoffPlan": {
    "type": "fixed",
    "maxRetries": 0,
    "baseDelaySeconds": 1,
    "excludedStatusCodes": [
      400,
      401,
      403,
      404
    ]
  },
  "variableExtractionPlan": null,
  "rejectionPlan": null,
  "_id": "69f98c2185578cdac8d33010"
}

Documentation Index

Fetch the complete documentation index at: https://docs.superu.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

superU-Api-Key
string
header
required

Your SuperU API key.

Body

application/json

Request body for Create tool.

Tool Create Request schema.

name
string
required

Tool name

Example:

"Tool 1"

type
string
required

Tool type

Example:

"apiRequest"

url
string
required

Request URL

Example:

"https://www.google.com"

description
string
required

What the tool does

Example:

"hehe"

method
string
required

HTTP method

Example:

"GET"

body
object

Request body schema.

Example:
{
"type": "object",
"properties": {
"new": { "type": "string", "description": "2" }
}
}
headers
object

Request header schema.

Example:
{
"type": "object",
"properties": {
"new": { "type": "string", "description": "2" }
}
}
timeoutSeconds
integer

Request timeout in seconds

Example:

20

Response

Tool created

Generic Response schema.

status
string

Status value.

Example:

"success"

message
string

Message value.

Example:

"Request completed successfully"

data
object

Data value.